from eventAPI import *
from APIUtils import *

def fireEvent(e):
    if ((getTag(e, "lFlagS") & 0x100) == 0):
        return 1
    k = getTag(e, "kssCrypt")
    if ((k <= 20) or (k >= 50)):
        return 1
    elif (k == 22):
        setTag(e, "kssCrypt", 23)
    elif (k == 30):
        setTag(e, "kssCrypt", 31)
    elif (k == 38):
        setTag(e, "kssCrypt", 39)
    else:
        setTag(e, "kssCrypt", 21)
    return 1
